FanslyTop Supporters
List Top Supporters
Get supporters ranked by total revenue contribution within a date range, with gross/net totals.
Authorization
default AuthorizationBearer <token>
Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys
In: header
Path Parameters
fanslyAccount*string
The Fansly Account ID
Query Parameters
before?string
End of the date range (ISO 8601). Defaults to now.
after?string
Start of the date range (ISO 8601). Defaults to 30 days ago.
Response Body
application/json
curl -X GET "https://app.onlyfansapi.com/api/fansly/fansly_acct_XXXXXXXXXXXXXXX/top-supporters?before=2026-06-03T23%3A59%3A59Z&after=2026-05-03T00%3A00%3A00Z"{
"data": [
{
"totalGross": 163990,
"totalNet": 131192,
"accountId": "800000000000000001",
"correlationAccountId": "900000000000000010"
},
{
"totalGross": 100000,
"totalNet": 80000,
"accountId": "800000000000000001",
"correlationAccountId": "900000000000000011"
}
],
"_meta": {
"_credits": {
"used": 1,
"balance": 10055760,
"note": "Always"
},
"_cache": {
"is_cached": false,
"note": "Cache disabled for this endpoint"
},
"_rate_limits": {
"limit_minute": 5000,
"limit_day": null,
"remaining_minute": 4999,
"remaining_day": null,
"notice": "We have decided to remove our daily rate limits. Please remove any references to these in your integrations."
}
}
}